using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using PlayerIO.GameLibrary;
using System.Drawing;

namespace Penguin {
	public class Player : BasePlayer {
		/*
		public enum ePlayerType {
			playerType_strafe = 1,
			playerType_jump = 2,
			playerType_shoot = 3
		}
		*/

		public int testvar = 0;

		public int id = 0;
		public String name = "Guest1";
		public int type = 0;
		public int rvar = 0;

		public bool disconnected = false;
		public int numNotifies = 0;
		public float lastNotify = 0.0f;

		public Player() {
			
		}

		public int CompareTo(Player b) {
			if (rvar >= b.rvar)
				return 1;
			return -1;
		}
	}
}

